Get order documents
curl --request GET \
--url https://api.sandbox.usenash.com/v1/order/{id}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/order/{id}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/order/{id}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2023-08-29T19:17:46.264523",
"id": "doc_1234567890",
"type": "shipping_label",
"contentType": "application/pdf",
"url": "https://example.com/document.pdf",
"data": "SGVsbG8gd29ybG="
}
][
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get Order Documents
Get the documents for an order
GET
/
v1
/
order
/
{id}
/
documents
Get order documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique reference number for the order: either order.id (starts with "ord_") or order.externalId
Example:
"ord_1234567890"
Query Parameters
Whether to load the document data and return it as part of the response.
Response
OK
The date and time when the document was created
Example:
"2023-08-29T19:17:46.264523"
The id of the document
Example:
"doc_1234567890"
The type of the document
Available options:
shipping_label, pickup_label, manifest, packing_slip_label, proof_of_delivery Example:
"shipping_label"
The content type of the document
Example:
"application/pdf"
The URL of the document
Example:
"https://example.com/document.pdf"
The data of the document
Example:
"SGVsbG8gd29ybG="
Was this page helpful?